View Issue Details

IDProjectCategoryView StatusLast Update
0003349GNUnetcadet servicepublic2014-04-08 16:41
ReporterBart PolotAssigned ToBart Polot 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003349: Mesh CLI fails after suspend/resume
Description(gdb) bt
#0 0x00007f71c5448389 in raise () from /usr/lib/libc.so.6
#1 0x00007f71c5449788 in abort () from /usr/lib/libc.so.6
#2 0x00007f71c66ed100 in GNUNET_abort () at common_logging.c:289
#3 0x00007f71c6955715 in GNUNET_MESH_notify_transmit_ready (channel=0x0, cork=0, maxdelay=..., notify_size=4,
    notify=0x40184f <data_ready>, notify_cls=0x0) at mesh_api.c:1661
#4 0x0000000000401ece in send_echo (cls=0x0, tc=0x7fff89d6fe60) at gnunet-mesh.c:320
#5 0x00007f71c67241c9 in run_ready (rs=0x95fa90, ws=0x95fb20) at scheduler.c:595
#6 0x00007f71c6724a57 in GNUNET_SCHEDULER_run (task=0x7f71c671efb4 <program_main>, task_cls=0x7fff89d70100)
    at scheduler.c:817
#7 0x00007f71c671fb45 in GNUNET_PROGRAM_run2 (argc=4, argv=0x933700,
    binaryName=0x4033c0 "gnunet-mesh (OPTIONS | TARGET PORT)",
    binaryHelp=0x7fff89d70240 "Create channels and retreive info about meshs status.", options=0x403580 <options>,
    task=0x402869 <run>, task_cls=0x0, run_without_scheduler=0) at program.c:286
#8 0x00007f71c671fca1 in GNUNET_PROGRAM_run (argc=4, argv=0x933700,
    binaryName=0x4033c0 "gnunet-mesh (OPTIONS | TARGET PORT)",
    binaryHelp=0x7fff89d70240 "Create channels and retreive info about meshs status.", options=0x403580 <options>,
    task=0x402869 <run>, task_cls=0x0) at program.c:325
#9 0x0000000000402ff5 in main (argc=4, argv=0x933700) at gnunet-mesh.c:773
(gdb) bt full
#0 0x00007f71c5448389 in raise () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007f71c5449788 in abort () from /usr/lib/libc.so.6
No symbol table info available.
#2 0x00007f71c66ed100 in GNUNET_abort () at common_logging.c:289
No locals.
#3 0x00007f71c6955715 in GNUNET_MESH_notify_transmit_ready (channel=0x0, cork=0, maxdelay=..., notify_size=4,
    notify=0x40184f <data_ready>, notify_cls=0x0) at mesh_api.c:1661
        th = 0x7f71c673ee60
        __FUNCTION__ = "GNUNET_MESH_notify_transmit_ready"
#4 0x0000000000401ece in send_echo (cls=0x0, tc=0x7fff89d6fe60) at gnunet-mesh.c:320
No locals.
#5 0x00007f71c67241c9 in run_ready (rs=0x95fa90, ws=0x95fb20) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_SHUTDOWN
        pos = 0x962f60
        tc = {reason = GNUNET_SCHEDULER_REASON_SHUTDOWN, read_ready = 0x95fa90, write_ready = 0x95fb20}
        __FUNCTION__ = "run_ready"
#6 0x00007f71c6724a57 in GNUNET_SCHEDULER_run (task=0x7f71c671efb4 <program_main>, task_cls=0x7fff89d70100)
    at scheduler.c:817
        rs = 0x95fa90
        ws = 0x95fb20
        timeout = {rel_value_us = 0}
        ret = 0
        shc_int = 0x974ad0
        shc_term = 0x935760
        shc_quit = 0x9358e0
        shc_hup = 0x974bf0
        shc_pipe = 0x935820
        last_tr = 85431
        busy_wait_warning = 0
        pr = 0x9749f0
---Type <return> to continue, or q <return> to quit---
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#7 0x00007f71c671fb45 in GNUNET_PROGRAM_run2 (argc=4, argv=0x933700,
    binaryName=0x4033c0 "gnunet-mesh (OPTIONS | TARGET PORT)",
    binaryHelp=0x7fff89d70240 "Create channels and retreive info about meshs status.", options=0x403580 <options>,
    task=0x402869 <run>, task_cls=0x0, run_without_scheduler=0) at program.c:286
        cc = {args = 0x933710, cfgfile = 0x95f860 "~/.config/gnunet.conf", task = 0x402869 <run>, task_cls = 0x0,
          cfg = 0x933780}
        path = 0x9356d0 "\347N\355]\351V\240<\017\336k\005\372\363\305\070\251BίȈ7I\005F\215\361\201\333\"w\002"
        loglev = 0x0
        logfile = 0x0
        cfg_fn = 0x9359d0 "~/.config/gnunet.conf"
        xdg = 0x0
        ret = 2
        cnt = 10
        skew_offset = 4294967295
        skew_variance = 4197336
        clock_offset = 1
        cfg = 0x933780
        defoptions = {{shortName = 99 'c', name = 0x7f71c673e750 "config",
            argumentHelp = 0x7f71c673e757 "FILENAME",
            description = 0x7f71c673e760 "use configuration file FILENAME", require_argument = 1,
            processor = 0x401540 <GNUNET_GETOPT_set_string@plt>, scls = 0x7fff89d70108}, {shortName = 104 'h',
            name = 0x7f71c673e780 "help", argumentHelp = 0x0, description = 0x7f71c673e785 "print this help",
            require_argument = 0, processor = 0x7f71c6711a63 <GNUNET_GETOPT_format_help_>, scls = 0x7fff89d70240}, {
            shortName = 76 'L', name = 0x7f71c673e795 "log", argumentHelp = 0x7f71c673e799 "LOGLEVEL",
            description = 0x7f71c673e7a8 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x401540 <GNUNET_GETOPT_set_string@plt>, scls = 0x7fff89d700f8}, {shortName = 108 'l',
            name = 0x7f71c673e7ca "logfile", argumentHelp = 0x7f71c673e7d2 "LOGFILE",
            description = 0x7f71c673e7e0 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x401540 <GNUNET_GETOPT_set_string@plt>, scls = 0x7fff89d700f0}, {shortName = 118 'v',
---Type <return> to continue, or q <return> to quit---
            name = 0x7f71c673e80b "version", argumentHelp = 0x0,
            description = 0x7f71c673e813 "print the version number", require_argument = 0,
            processor = 0x7f71c6711a1d <GNUNET_GETOPT_print_version_>, scls = 0x7f71c673e82c}}
        allopts = 0x935760
        gargs = 0x0
        lpfx = 0x9356d0 "\347N\355]\351V\240<\017\336k\005\372\363\305\070\251BίȈ7I\005F\215\361\201\333\"w\002"
        spc = 0x9356db "\005\372\363\305\070\251BίȈ7I\005F\215\361\201\333\"w\002"
        __FUNCTION__ = "GNUNET_PROGRAM_run2"
#8 0x00007f71c671fca1 in GNUNET_PROGRAM_run (argc=4, argv=0x933700,
    binaryName=0x4033c0 "gnunet-mesh (OPTIONS | TARGET PORT)",
    binaryHelp=0x7fff89d70240 "Create channels and retreive info about meshs status.", options=0x403580 <options>,
    task=0x402869 <run>, task_cls=0x0) at program.c:325
No locals.
#9 0x0000000000402ff5 in main (argc=4, argv=0x933700) at gnunet-mesh.c:773
        res = 0
        helpstr = "Create channels and retreive info about meshs status."
        options = {{shortName = 101 'e', name = 0x4034a0 "echo", argumentHelp = 0x0,
            description = 0x4034a5 "activate echo mode", require_argument = 0,
            processor = 0x401520 <GNUNET_GETOPT_set_one@plt>, scls = 0x612f88 <echo>}, {shortName = 112 'p',
            name = 0x4034b8 "port", argumentHelp = 0x0, description = 0x4034c0 "port to listen to (default; 0)",
            require_argument = 1, processor = 0x401470 <GNUNET_GETOPT_set_uint@plt>,
            scls = 0x6044e8 <listen_port>}, {shortName = 80 'P', name = 0x4034df "peers", argumentHelp = 0x0,
            description = 0x4034e8 "provide information about all peers", require_argument = 0,
            processor = 0x401520 <GNUNET_GETOPT_set_one@plt>, scls = 0x6044c4 <request_peers>}, {
            shortName = 116 't', name = 0x40350c "tunnel", argumentHelp = 0x403513 "TUNNEL_ID",
            description = 0x403520 "provide information about a particular tunnel", require_argument = 1,
            processor = 0x401540 <GNUNET_GETOPT_set_string@plt>, scls = 0x6044d0 <tunnel_id>}, {shortName = 84 'T',
            name = 0x40354e "tunnels", argumentHelp = 0x0,
            description = 0x403558 "provide information about all tunnels", require_argument = 0,
            processor = 0x401520 <GNUNET_GETOPT_set_one@plt>, scls = 0x6044c8 <request_tunnels>}, {
            shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
---Type <return> to continue, or q <return> to quit---
            processor = 0x0, scls = 0x0}}
(gdb)
TagsNo tags attached.

Activities

Bart Polot

2014-04-01 11:21

manager   ~0008174

Fixed in r32874.

Issue History

Date Modified Username Field Change
2014-03-27 01:16 Bart Polot New Issue
2014-03-27 01:16 Bart Polot Status new => assigned
2014-03-27 01:16 Bart Polot Assigned To => Bart Polot
2014-04-01 11:21 Bart Polot Note Added: 0008174
2014-04-01 11:21 Bart Polot Status assigned => resolved
2014-04-01 11:21 Bart Polot Fixed in Version => SVN HEAD
2014-04-01 11:21 Bart Polot Resolution open => fixed
2014-04-07 07:54 Christian Grothoff Fixed in Version SVN HEAD => 0.10.1
2014-04-07 07:54 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service